---
eidastest_compose:
   version: "3"
   services:
     selenium-hub:
       image: selenium/hub
       container_name: selenium-hub
       ports:
         - "4444:4444"
     firefox:
       image: selenium/node-firefox
       depends_on:
         - selenium-hub
       environment:
         - HUB_PORT_4444_TCP_ADDR=selenium-hub
         - HUB_PORT_4444_TCP_PORT=4444

     chrome:
       image: selenium/node-chrome
       depends_on:
         - selenium-hub
       environment:
         - HUB_PORT_4444_TCP_ADDR=selenium-hub
         - HUB_PORT_4444_TCP_PORT=4444

     eidastest-testid:
       image: docker.sunet.se/eidastest-testid:1.2.10
       container_name: eidastest-testid
       ports:
         - "443:8099"
       environment:
         - CERTNAME=eidastest-1.qa.sveidas.se
       volumes:
         - "/etc/ssl:/etc/ssl"
       depends_on:
         - firefox
         - chrome
